Bug Hunting Session
Bug 72560 - FILEOPEN: DOCX problem with LTR right aligned text in specific case
Summary: FILEOPEN: DOCX problem with LTR right aligned text in specific case
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.3.0 target:4.2.0.1 target:6.2.0
Keywords:
Depends on:
Blocks: RTL-CTL
  Show dependency treegraph
 
Reported: 2013-12-10 10:34 UTC by Maxim Monastirsky
Modified: 2018-08-13 15:50 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
LTR right aligned (created using Word 2010 SP2) (14.79 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2013-12-10 10:34 UTC, Maxim Monastirsky
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Maxim Monastirsky 2013-12-10 10:34:52 UTC
Created attachment 90564 [details]
LTR right aligned (created using Word 2010 SP2)

Text alignment should be as written in the attached document. Currently what was LTR right aligned in MS Word turns with LO into left aligned. This happens *only* if the previous paragraph was RTL left aligned.
Comment 1 Commit Notification 2013-12-12 05:40:23 UTC
Faisal M. Al-Otaibi committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b0db93d00e1dd208baa96eb3e10df12950cdcb49

DOCX: fdo#72560 better solution for exchange alignment for RTL



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2013-12-15 05:04:28 UTC
Faisal M. Al-Otaibi committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=66e68fe28a7bfb37d4fdeee9bed1d9a0ff840935&h=libreoffice-4-2

DOCX: fdo#72560 better solution for exchange alignment for RTL


It will be available in LibreOffice 4.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2013-12-15 05:51:10 UTC
Faisal M. Al-Otaibi committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e2de109a7424bc1ab59867dfd23a10db28b7bf9a&h=libreoffice-4-2

Revert "DOCX: fdo#72560 better solution for exchange alignment for RTL"


It will be available in LibreOffice 4.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Buovjaga 2014-10-20 09:11:07 UTC
I guess this should be closed as RESOLVED FIXED?
Certainly works OK on Win 7 64-bit 4.3.2.2 and dev build Version: 4.4.0.0.alpha0+
Build ID: 3e2bd1e4022e25b77bcc8eba5e02c1adc57008a1
TinderBox: Win-x86@42, Branch:master, Time: 2014-10-16_01:04:13
Comment 5 Maxim Monastirsky 2014-10-20 18:10:54 UTC
(In reply to todventtu from comment #4)
> I guess this should be closed as RESOLVED FIXED?
Indeed.
Comment 6 Commit Notification 2018-07-23 06:39:02 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=150c12fc0fba2c2f4b08b4298678ee49676ebae0

tdf#72560 writerfilter: check my style, not default style

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2018-07-24 04:10:22 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0fbf627a4beca383c25cc50cfa9d555f18fade53

tdf#72560 writerfilter: StyleProperty - also check DocDefaults

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2018-07-24 04:12:43 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3aaa81ff68c6597381f58f2bd257190d70bd58a3

tdf#72560 ExchangeLeftRight shouldn't use DefaultParaStyle

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2018-07-30 06:01:06 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3f1eaebcbb39aeff0558218f0ce77f7e91424fa2

related tdf#72560 writerfilter: also check rPrDefaults

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2018-07-30 06:43:31 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b3d28822a650166bb7ff5759499cd5ce0124f746

related tdf#72560 ooxmlexport3: fix tinderbox long -> sal_Int32

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2018-08-13 15:50:37 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ea6aef691cbc663b423c2075297581eb21e93031

cleanup tdf#72560 writerfilter: set in defaults, not styles

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.